Load Wallet

API allows load amount wallet from a prepaid card.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header Reference Click here

Request Parameters

NameTypeMandatory (M) , Operational (O)Description
mobileStringMCustomer mobile number
amountStringMTransfer amount from wallet to the prepaid card
latitudeStringMCurrent latitude of user
longitudeStringMCurrent longitude of user
externalRefSttringMReference number
remarkStringORemarks

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/prepaid/loadWallet' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": "100",
    "externalRef": "PROD1",
   	"latitude": "20.1236",
   	"longitude": "78.3228"
}'
POST /cards/prepaid/loadWallet HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
    "amount": "100",
    "externalRef": "PROD1",
   	"latitude": "20.1236",
   	"longitude": "78.3228"
}
📘

Response Parameters

For Response Reference Click here

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "ipayId": "1220123145065KVYEE",
        "spTransId": "2201231443065",
        "operatorId": "1324874309",
        "balance": "100.0",
        "remainingLoadLimit": "9900",
        "tagBalance": {}
    },
    "timestamp": "2022-03-21 10:20:36",
    "ipay_uuid": "h00695deb945-3def-42ba-8857-2ff7bac93fe6",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null

}
📘

Action Code Details

For Action Code details Click here

Body Params
string

Customer mobile number

string

Transfer amount from wallet to the prepaid card

string

Current latitude of user

string

Current longitude of user

string

Reference number

string

Remarks

Headers
string

1

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json